import 'package:flutter/material.dart';
import 'package:vaycore/vaycore.dart';

///
/// @author vay
/// @email hxhvay@126.com
/// @date 2020-05-16
///

/// 页面的基类 [BasePage]
abstract class BasePage extends StatelessWidget {
  Widget buildContent(BuildContext context);

  @override
  Widget build(BuildContext context) {
    if (core.context == null) {
      core.context = context;
    }
    return buildContent(context);
  }
}
